%define upstream_name    MooX-late
%define upstream_version 0.015

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Easily translate Moose code to Moo
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Moo) >= 1.3.0
BuildRequires: perl(Test::Fatal) >= 0.10.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Type::Utils) >= 0.16.0
BuildArch:  noarch

%description
the Moo manpage is a light-weight object oriented programming framework
which aims to be compatible with the Moose manpage. It does this by
detecting when Moose has been loaded, and automatically "inflating" its
classes and roles to full Moose classes and roles. This way, Moo classes
can consume Moose roles, Moose classes can extend Moo classes, and so
forth.

However, the surface syntax of Moo differs somewhat from Moose. For example
the 'isa' option when defining attributes in Moose must be either a string
or a blessed the Moose::Meta::TypeConstraint manpage object; but in Moo
must be a coderef. These differences in surface syntax make porting code
from Moose to Moo potentially tricky. the MooX::late manpage provides some
assistance by enabling a slightly more Moosey surface syntax.

MooX::late does the following:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes LICENSE META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.15.0-6pclos2017
- rebuild against updates

